# LibraryElements

interface LibraryElements : Named

Attribute representing the technical elements of a library variant.

#### Since

5.6

## Properties

CLASSES
Link copied to clipboard
val CLASSES: String = "classes"
The JVM classes format
CLASSES_AND_RESOURCES
Link copied to clipboard
val CLASSES_AND_RESOURCES: String = "classes+resources"
The JVM class files and resources
DYNAMIC_LIB
Link copied to clipboard
val DYNAMIC_LIB: String = "dynamic-lib"
Dynamic libraries for native modules
HEADERS_CPLUSPLUS
Link copied to clipboard
val HEADERS_CPLUSPLUS: String = "headers-cplusplus"
Header files for C++
JAR
Link copied to clipboard
val JAR: String = "jar"
The JVM archive format
LIBRARY_ELEMENTS_ATTRIBUTE
Link copied to clipboard
val LIBRARY_ELEMENTS_ATTRIBUTE: Attribute<LibraryElements>
LINK_ARCHIVE
Link copied to clipboard
val LINK_ARCHIVE: String = "link-archive"
Link archives for native modules
OBJECTS
Link copied to clipboard
val OBJECTS: String = "objects"
Objects for native modules
RESOURCES
Link copied to clipboard
val RESOURCES: String = "resources"
JVM resources

## Functions

getName
Link copied to clipboard
abstract fun getName(): String